Table of Contents | Previous | Next | Index

# JSException

The public class `JSException` extends `Exception`.

    java.lang.Object
       |
       +----java.lang.Throwable
                |
                +----java.lang.Exception
                         |
                         +----netscape.javascript.JSException

#### Description

`JSException` is an exception which is thrown when JavaScript code returns an error.

#### Constructor Summary

The `netscape.javascript.JSException` class has the following constructors:

Constructor | Description
--- | ---
    JSException
| Constructs a `JSException.` You specify whether the `JSException` has a detail message and other information.

The following sections show the declaration and usage of the constructors.

## JSException

Constructor. Constructs a `JSException`. You specify whether the `JSException` has a detail message and other information.

#### Declaration

    1. public JSException()

    2. public JSException(String s)

    3. public JSException(String s,
       String filename,
       int lineno,
       String source,
       int tokenIndex)

#### Arguments

    s
| The detail message.
    filename
| The URL of the file where the error occurred, if possible.
    lineno
| The line number if the file, if possible.
    source
| The string containing the JavaScript code being evaluated.
    tokenIndex
| The index into the source string where the error occurred.

#### Description

A detail message is a string that describes this particular exception. Each form constructs a `JSException` with different information:

- Form 1 of the declaration constructs a `JSException` without a detail message.

- Form 2 of the declaration constructs a `JSException` with a detail message.

- Form 3 of the declaration constructs a `JSException` with a detail message and all the other information that usually comes with a JavaScript error.

Table of Contents | Previous | Next | Index

Last Updated: 05/28/99 12:01:19

Copyright (c) 1999 Netscape Communications Corporation